## testmanager-ng 0.1.61.gc3d70a6

=== debian/changelog ===
testmanager-ng (0.1.61.gc3d70a6-0) UNRELEASED; urgency=medium

  * version number update by debtransform

 -- debtransform <build@opensuse.org>  Fri, 01 Sep 2023 14:05:20 +0000

testmanager-ng (0.1.0-17) UNRELEASED; urgency=medium

  * Fix
  * Back to 48549f81df28
  * Update to 2c4a8e50fc31, Add DISABLE_CSS=1 
  * Switch to git, b95806b (HEAD -> master, origin/master, origin/HEAD) QMake variable DISABLE_CSS=1 to avoid black SVGs.
  * 91fd3ad (HEAD -> master, origin/master, origin/HEAD) Moved .hgignore to .gitignore.
  * Add hg to compile dependencies
  * Change to compat 10
  * Fix dh_missing
  * 2b7aee2 (HEAD -> master, origin/master, origin/HEAD) merge
  * a106c47 (HEAD -> master, origin/master, origin/HEAD) Merge branch 'consistentColorPicker' into 'master'
  * Add git to build dependencies
  * b6e7fae (HEAD -> master, origin/master, origin/HEAD) Merge branch 'remove_python_cli' into 'master'

 -- Andreas Stewering-Bone <andreas.stewering-bone@gmx.de>  Fri, 30 Dec 2022 20:38:10 +0100

testmanager-ng (0.1.0-7.1) unstable; urgency=medium

  * Update to 28102d95ea97
  * Update to 887da5a1ac5c
  * Apply CSS patch 
  * Fix package dependencies to qtpdwidgets and icon utils
  * Update to dc616ba686c6
  * Update to 0b82d2c341a7
  * Update to dc82e7f991d2
  * Update to 03fe9e9f0d39, fix compile for debian testing

 -- Andreas Stewering-Bone <andreas.stewering-bone@gmx.de>  Mon, 21 Dec 2020 12:16:01 +0100

testmanager-ng (0.1.0-1) unstable; urgency=low

  * Initial release

 -- Andreas Stewering-Bone <andreas.stewering-bone@gmx.de>  Thu, 22 May 2019 22:51:02 +0200
