=== debian/control ===
Source: testmanager-ng
Priority: optional
Maintainer: Andreas Stewering-Bone <ab@igh.de>
Build-Depends: debhelper (>= 9), qtchooser, qtbase5-dev, libqt5svg5-dev, qttools5-dev, qttools5-dev-tools, libpdcom-dev, libqtpdwidgets, libqtpdwidgets-dev, python3-dev, desktop-file-utils, shared-mime-info, dpkg (>= 1.17.0)
Standards-Version: 3.9.5
Section: science
Homepage: http://www.etherlab.org

Package: testmanager-ng
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libqtpdwidgets, desktop-file-utils, shared-mime-info
Description: Automation visualisation tool
 Testmanager NG ist the sequel of the automation and visualisation tool by
 Dr. Wilhelm Hagemeister.
