=== debian/rules ===
#!/usr/bin/make -f

export QT_SELECT := qt5

# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#DH_VERBOSE = 1

# see EXAMPLES in dpkg-buildflags(1) and read /usr/share/dpkg/*
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

# see FEATURE AREAS in dpkg-buildflags(1)
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed


%:
	dh $@ --parallel

override_dh_auto_configure:
	qmake PREFIX=/usr DISABLE_CSS=1 VERSION=`dpkg-parsechangelog --show-field Version` testmanager.pro

override_dh_auto_build:
	lrelease testmanager.pro
	make

.PHONY:
	override_dh_strip

override_dh_missing:
	dh_missing --fail-missing
