## testmanager-ng 1.1.5.gacc3396

=== debian/changelog ===
testmanager-ng (1.1.5.gacc3396-1+493.10) UNRELEASED; urgency=medium

  * version number update by debtransform

 -- debtransform <build@opensuse.org>  Fri, 04 Jul 2025 12:34:33 +0000
