=== debian/changelog ===
testmanager-ng (1.2.2.gf15911f-1+496.3) UNRELEASED; urgency=medium

  * version number update by debtransform

 -- debtransform <build@opensuse.org>  Thu, 16 Oct 2025 16:33:35 +0000
