=== debian/control ===
Source: testmanager-ng
Priority: optional
Maintainer: Andreas Stewering-Bone <ab@igh.de>
Build-Depends: debhelper (>= 9), qtchooser, qtbase5-dev, libqt5svg5-dev, qttools5-dev, qttools5-dev-tools, libpdcom5-dev, libqtpdwidgets2-dev, libqtpdcom1-dev, python3-dev, desktop-file-utils, shared-mime-info, dpkg (>= 1.17.0), cmake, dh-exec, python3-numpy
Standards-Version: 3.9.5
Section: science
Homepage: https://etherlab.org/testmanager

Package: testmanager-ng
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, desktop-file-utils, shared-mime-info, python3-numpy
Description: Automation visualisation tool
 Testmanager NG ist the sequel of the automation and visualisation tool by
 Dr. Wilhelm Hagemeister.
